aboutsummaryrefslogtreecommitdiffstats
path: root/main/minizip
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-07-17 11:09:36 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-07-17 11:10:35 +0200
commit32c84302e80d77154b3f4485b75ae9039e52df71 (patch)
treedf807d70cb4abfb0897d98aaf0f65ff6b88ad812 /main/minizip
parent90b054374729af0c04d179512edfa7576c36807b (diff)
downloadaports-32c84302e80d77154b3f4485b75ae9039e52df71.tar.gz
aports-32c84302e80d77154b3f4485b75ae9039e52df71.tar.bz2
aports-32c84302e80d77154b3f4485b75ae9039e52df71.tar.xz
testing/minizip: move to main
Diffstat (limited to 'main/minizip')
-rw-r--r--main/minizip/APKBUILD46
-rw-r--r--main/minizip/zlib-1.2.8-minizip-include.patch27
2 files changed, 73 insertions, 0 deletions
diff --git a/main/minizip/APKBUILD b/main/minizip/APKBUILD
new file mode 100644
index 0000000000..01c1e6c04c
--- /dev/null
+++ b/main/minizip/APKBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=minizip
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="a library for manipulation with files from .zip archives"
+arch="all"
+license="zlib"
+url="http://zlib.net"
+depends=""
+makedepends="automake autoconf libtool zlib-dev"
+subpackages="$pkgname-dev"
+source="http://zlib.net/zlib-$pkgver.tar.gz
+ zlib-1.2.8-minizip-include.patch"
+
+_builddir="$srcdir/zlib-$pkgver"/contrib/minizip
+
+prepare() {
+ local i
+ cd "$srcdir/zlib-$pkgver"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+
+ autoreconf -vif || return 1
+ ./configure --prefix=/usr \
+ --enable-static=no || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="44d667c142d7cda120332623eab69f40 zlib-1.2.8.tar.gz
+778dc4d8a9455d8f35257c3a19bc24e5 zlib-1.2.8-minizip-include.patch"
+sha256sums="36658cb768a54c1d4dec43c3116c27ed893e88b02ecfcb44f2166f9c0b7f2a0d zlib-1.2.8.tar.gz
+226d84018df7b7281b3b62df88a7d61cffcfc6c541895b453fe53662ce7ab2e5 zlib-1.2.8-minizip-include.patch"
+sha512sums="ece209d4c7ec0cb58ede791444dc754e0d10811cbbdebe3df61c0fd9f9f9867c1c3ccd5f1827f847c005e24eef34fb5bf87b5d3f894d75da04f1797538290e4a zlib-1.2.8.tar.gz
+870bec30f994fb2ece41ab5a7f24de08daa5d0751744232f9971a345c186db98bd00bd04f466a8a3abc10b11c15f17461255fda630dd0a4eae9635b03b93b826 zlib-1.2.8-minizip-include.patch"
diff --git a/main/minizip/zlib-1.2.8-minizip-include.patch b/main/minizip/zlib-1.2.8-minizip-include.patch
new file mode 100644
index 0000000000..e8afe95d3e
--- /dev/null
+++ b/main/minizip/zlib-1.2.8-minizip-include.patch
@@ -0,0 +1,27 @@
+From 790c73ad93732d31ec6ae5ba4d7116d7f8fb46a2 Mon Sep 17 00:00:00 2001
+From: Kalev Lember <kalevlember@gmail.com>
+Date: Sat, 10 Aug 2013 14:54:04 +0200
+Subject: [PATCH] minizip: Add missing include
+
+Include zconf.h for z_crc_t, fixes a regression from commit
+63ba7582b80eb81b126c2931e485481c35596aab.
+---
+ contrib/minizip/crypt.h | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/contrib/minizip/crypt.h b/contrib/minizip/crypt.h
+index 1e9e820..835a2ba 100644
+--- a/contrib/minizip/crypt.h
++++ b/contrib/minizip/crypt.h
+@@ -27,6 +27,8 @@
+ Encryption is not supported.
+ */
+
++#include "zconf.h"
++
+ #define CRC32(c, b) ((*(pcrc_32_tab+(((int)(c) ^ (b)) & 0xff))) ^ ((c) >> 8))
+
+ /***********************************************************************
+--
+1.8.3.1
+